﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class sdk_category_script_example_01 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            string _root = Config.GetUrl();
            hm.HRef = _root;
            hm.InnerHtml = "Home";

            sdk.HRef = _root + "sdk/";
            sdk.InnerHtml = "Developer Section";

            vd.HRef = _root + "sdk/category/";
            vd.InnerHtml = "Category Management";

            Process_Module();

        }
    }

    private void Process_Module()
    {
        // Code Behind
        if (cat != null)
        {
            cat.HeadingTitle = "Categories";
            cat.Type = 13; // 0: videos, 1: groups, 2: channels, 4: abuse reports, 5: photos 6: blogs 7: audio files, 8: galleries, 12 forum
            cat.MainCategoryURL = false; // true: single page for every type of content, false: single page for every type of content
            cat.Total_Records = 10; // display 10 records, if isAll=false
            cat.ShowParentsOnly = true;
            cat.MoreLinkText = "more";
            cat.MoreLinkToolTip = "Browse all categories";
            cat.MoreLinkUrl = "categories/";
            cat.URL = "#";
            cat.isAll = false;
        }
   }
}